<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: mapper_instance Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">mapper_instance Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="mapper__mgr_8h_source.html">mapper_mgr.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a336958ee9ec10f18a0a8bd9e2bf21d87"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapper__instance.html#a336958ee9ec10f18a0a8bd9e2bf21d87">module_handler</a></td></tr>
<tr class="separator:a336958ee9ec10f18a0a8bd9e2bf21d87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c2d9327de87c6be0b54f793adc7f1fb"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapper__instance.html#a4c2d9327de87c6be0b54f793adc7f1fb">module_name</a></td></tr>
<tr class="separator:a4c2d9327de87c6be0b54f793adc7f1fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a038f61f874f171e16864d8b9a2bd5df9"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapper__instance.html#a038f61f874f171e16864d8b9a2bd5df9">module_path</a></td></tr>
<tr class="separator:a038f61f874f171e16864d8b9a2bd5df9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5932014fc61839cfaf60693fc68f0b11"><td class="memItemLeft" align="right" valign="top"><a class="el" href="mapper_8h.html#a701fdce8eeaa5a0cadca3d947cb838eb">mapper_module</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapper__instance.html#a5932014fc61839cfaf60693fc68f0b11">module_data</a></td></tr>
<tr class="separator:a5932014fc61839cfaf60693fc68f0b11"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="mapper__mgr_8h_source.html#l00038">38</a> of file <a class="el" href="mapper__mgr_8h_source.html">mapper_mgr.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a5932014fc61839cfaf60693fc68f0b11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5932014fc61839cfaf60693fc68f0b11">&#9670;&nbsp;</a></span>module_data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="mapper_8h.html#a701fdce8eeaa5a0cadca3d947cb838eb">mapper_module</a>* module_data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="mapper__mgr_8h_source.html#l00042">42</a> of file <a class="el" href="mapper__mgr_8h_source.html">mapper_mgr.h</a>.</p>

</div>
</div>
<a id="a336958ee9ec10f18a0a8bd9e2bf21d87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a336958ee9ec10f18a0a8bd9e2bf21d87">&#9670;&nbsp;</a></span>module_handler</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* module_handler</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="mapper__mgr_8h_source.html#l00039">39</a> of file <a class="el" href="mapper__mgr_8h_source.html">mapper_mgr.h</a>.</p>

</div>
</div>
<a id="a4c2d9327de87c6be0b54f793adc7f1fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c2d9327de87c6be0b54f793adc7f1fb">&#9670;&nbsp;</a></span>module_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* module_name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="mapper__mgr_8h_source.html#l00040">40</a> of file <a class="el" href="mapper__mgr_8h_source.html">mapper_mgr.h</a>.</p>

</div>
</div>
<a id="a038f61f874f171e16864d8b9a2bd5df9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a038f61f874f171e16864d8b9a2bd5df9">&#9670;&nbsp;</a></span>module_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* module_path</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="mapper__mgr_8h_source.html#l00041">41</a> of file <a class="el" href="mapper__mgr_8h_source.html">mapper_mgr.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="mapper__mgr_8h_source.html">mapper_mgr.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
